#include <iostream>

using namespace std;

int main()
{
    int a,b,c;
    cin >>a>>b>>c;
    string a1 = to_string(a);
    string b1 = to_string(b);
    string c1 = to_string(c);
    string x[6];
    x[0] =a1+b1+c1;
    x[1] =a1+c1+b1;
    x[2] =b1+a1+c1;
    x[3] =b1+c1+a1;
    x[4] =c1+a1+b1;
    x[5] =c1+b1+a1;
    string maximum;
    for(int i = 0; i < 5; i++)
    {
        if(x[i] > a[i+1]) maximum = x[i];
    }
    cout << maximum << endl;
    return 0;
}